package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfSubjectInfo;

import java.util.List;

/**
 * 国内准则科目信息 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-08
 */
public interface QfSubjectInfoManager extends BaseManager<QfSubjectInfo> {

    List<QfSubjectInfo> getTree(QfSubjectInfo entity);

    void associatedSubject(QfSubjectInfo t);

    QfSubjectInfo findById(String id);

    boolean importExcel(List<QfSubjectInfo> list);
}
